services:
    Akeneo\Tool\Bundle\MessengerBundle\Transport\GooglePubSub\PubSubClientFactory:
        arguments:
            - '%env(string:SRNT_GOOGLE_APPLICATION_CREDENTIALS)%'

    Akeneo\Tool\Bundle\MessengerBundle\Transport\GooglePubSub\GpsTransportFactory:
        arguments:
            - '@Akeneo\Tool\Bundle\MessengerBundle\Transport\GooglePubSub\PubSubClientFactory'
            - '@Akeneo\Tool\Bundle\MessengerBundle\Ordering\OrderingKeySolver'
        tags: [messenger.transport_factory]

    Akeneo\Tool\Bundle\MessengerBundle\Ordering\OrderingKeySolver:
        arguments:
            - !tagged_iterator akeneo_messenger.ordering_key_candidate
